org.apache.poi.hsmf.datatypes

## Class PropertyValue.DoublePropertyValue

- java.lang.Object
- - org.apache.poi.hsmf.datatypes.PropertyValue
  - - org.apache.poi.hsmf.datatypes.PropertyValue.DoublePropertyValue

- Enclosing class:
    PropertyValue

      public static class PropertyValue.DoublePropertyValue
      extends PropertyValue

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.hsmf.datatypes.PropertyValue

      `PropertyValue.BooleanPropertyValue, PropertyValue.CurrencyPropertyValue, PropertyValue.DoublePropertyValue, PropertyValue.FloatPropertyValue, PropertyValue.LongLongPropertyValue, PropertyValue.LongPropertyValue, PropertyValue.NullPropertyValue, PropertyValue.ShortPropertyValue, PropertyValue.TimePropertyValue`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hsmf.datatypes.PropertyValue

      `data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoublePropertyValue(MAPIProperty property, long flags, byte[] data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getValue()`
    `void` | `setValue(double value)`

    - ### Methods inherited from class org.apache.poi.hsmf.datatypes.PropertyValue

      `getActualType, getFlags, getProperty, getRawValue, setRawValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DoublePropertyValue

          public DoublePropertyValue(MAPIProperty property,
                                     long flags,
                                     byte[] data)

  - ### Method Detail

    - #### getValue

          public java.lang.Double getValue()

      Overrides:
        `getValue` in class `PropertyValue`

    - #### setValue

          public void setValue(double value)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.